DERIVE(1)

NAME
Derive - Deriving instances for data types in Haskell

SYNOPSIS
derive [OPTION...] files...

DESCRIPTION

-v          --version
    show version number

-h, -?      --help
    show help message

-o FILE     --output=FILE
    output FILE

-i[MODULE]  --import[=MODULE]
    add an import statement

-m MODULE   --module=MODULE
    add a module MODULE where statement

-a          --append
    append the result to the file

-d DERIVES  --derive=DERIVES
    things to derive for all types

-n          --no-opts
    ignore the file options

-F          --preprocessor
    operate as a GHC preprocessor with -pgmF

--test
    run the test suite

--generate
    perform code generation

AUTHOR

The original version of this manual page was written by Masayuki Hatta <mhatta@debian.org> for the Debian system. Permission is granted to copy, distribute and/or modify this document under the same terms of the haskell-derive software.